com.snowflake.client.core

## Class Event

- java.lang.Object
- - com.snowflake.client.core.Event

Direct Known Subclasses:
  BasicEvent, Incident

    public abstract class Event
    extends Object

Abstract class to encapsulate a Client-side Event and any methods associated with it.

Author:
  jrosen

### Nested Class Summary

Nested Classes
`static class` `Event.EventType`

### Constructor Summary

Constructors
Constructor and Description
`Event(Event.EventType type, String message)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `flush()`
`String` `getMessage()`
`Event.EventType` `getType()`
`void` `setMessage(String message)`
`void` `setType(Event.EventType type)`
`protected void` `writeEventDumpLine(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Event

    public Event(Event.EventType type,
                 String message)

### Method Detail

#### getType

    public Event.EventType getType()

#### setType

    public void setType(Event.EventType type)

#### getMessage

    public String getMessage()

#### setMessage

    public void setMessage(String message)

#### writeEventDumpLine

    protected void writeEventDumpLine(String message)

#### flush

    public abstract void flush()